/*
 * Copyright (C) 2012 Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 */

package org.ow2.orchestra.common.gwt.utils.client.events;

import com.google.gwt.user.client.Timer;

/**
 * @author Loic Albertin
 */
public class MouseStillDownTimer {

  private Timer timer;

  private int repeatTime;

  public MouseStillDownTimer(int repeatTime) {
    this.repeatTime = repeatTime;
  }

  public void registerHandler(final MouseStillDownEvent.OnMouseStillDownEventHandler handler) {
    if (timer != null) {
      timer.cancel();
    }
    timer = new Timer() {
      @Override
      public void run() {
        handler.onMouseStillDown(new MouseStillDownEvent());
      }
    };

    timer.scheduleRepeating(this.repeatTime);
  }

  public void stopRecurring() {
    if (timer != null) {
      timer.cancel();
      timer = null;
    }
  }

}
