/*
 * Copyright (C) 2012 Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 */

package org.ow2.orchestra.common.gwt.utils.client.events;

import com.google.gwt.event.shared.EventHandler;
import com.google.gwt.event.shared.GwtEvent;

/**
 * @author Loic Albertin
 */
public class RenameTabEvent extends GwtEvent<RenameTabEvent.RenameTabEventHandler>{
  public static interface RenameTabEventHandler extends EventHandler {
    public void onRenameTab(RenameTabEvent event);
  }

  private String key;
  private String oldName;
  private String newName;

  public RenameTabEvent(String key, String oldName, String newName) {
    this.key = key;
    this.oldName = oldName;
    this.newName = newName;
  }

  public static final Type<RenameTabEventHandler> TYPE = new Type<RenameTabEventHandler>();

  @Override
  public Type<RenameTabEventHandler> getAssociatedType() {
    return TYPE;
  }

  @Override
  protected void dispatch(RenameTabEventHandler renameTabEventHandler) {
    renameTabEventHandler.onRenameTab(this);
  }

  public String getKey() {
    return key;
  }

  public String getOldName() {
    return oldName;
  }

  public String getNewName() {
    return newName;
  }
}
